#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/notify.rb'
# =========================================================================== #
module FtpParadise

class Connection

  # ========================================================================= #
  # === notify_the_user_about
  #
  # This method is a general "user notifier". It will notify the user
  # about doing certain actions within the FtpParadise project.
  # ========================================================================= #
  def notify_the_user_about(
      i, method
    )
    case method
    # ======================================================================= #
    # === :set_transfer_mode
    # ======================================================================= #
    when :set_transfer_mode
      opnn; e "Setting mode to #{orange(i.to_s)} now."
    # ======================================================================= #
    # === :remove_remote_files
    # ======================================================================= #
    when :remove_remote_files
      opnn; e "Deleting the remote file `#{sdir(i)}` now."
    # ======================================================================= #
    # === :upload_binary_file
    # ======================================================================= #
    when :upload_binary_file
      opnn; e 'Now trying to upload the binary file `'+sfile(i)+'`'
      opnn; e 'to the remote host `'+sfancy(remote_host?)+'`.'
    # ======================================================================= #
    # === :create_this_remote_directory
    # ======================================================================= #
    when :create_this_remote_directory
      opnn; e 'Creating the remote directory `'+sdir(i)+'` now.'
    # ======================================================================= #
    # === :remote_cd
    # ======================================================================= #
    when :remote_cd
      opnn; e 'Trying to remote-change directory into `'+sdir(i)+'`.'
    # ======================================================================= #
    # === :download_this_remote_file
    # ======================================================================= #
    when :download_this_remote_file
      opnn; e "Downloading the remote file `#{sdir(i)}` now."
    # ======================================================================= #
    # === :upload_this_text_file
    # ======================================================================= #
    when :upload_this_text_file
      opnn; e 'Uploading the local text file `'+sfile(i)+'` to '\
              'the remote host at `'+sfancy(remote_pwd?)+'`.'
    # ======================================================================= #
    # === :create_remote_file
    # ======================================================================= #
    when :create_remote_file
      opnn; e 'Creating the remote file `'+sdir(i)+'` now.'
    # ======================================================================= #
    # === :remove_remote_directory
    # ======================================================================= #
    when :remove_remote_directory
      opnn; e 'Removing the remote directory `'+sdir(i)+'` now.'
    end
  end

end; end