#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/password.rb'
# =========================================================================== #
module FtpParadise

class Connection

  require 'ftp_paradise/toplevel_methods/password.rb'

  # ========================================================================= #
  # === password?
  # ========================================================================= #
  def password?
    ::FtpParadise.password?.to_s
  end; alias password password? # === password

  # ========================================================================= #
  # === set_password
  #
  # Use only this method when attempting to modify the @password.
  #
  # This @ivar keeps track of the password we will use.
  # ========================================================================= #
  def set_password(
      i = :try_to_use_a_default_password
    )
    case i
    when :try_to_use_a_default_password,
         :default
      if FtpParadise::RoebeFtpConstants::BPLACED
        _ = FtpParadise::RoebeFtpConstants::BPLACED[2]
        _.chop! if _.end_with? '_'
        i = _
      end
    when :anonymous
      i = nil
    else
      i = i.to_s
    end
    ::FtpParadise.set_password(i)
    i # Return the password here as well, so that we can use it for assignments.
  end; alias password= set_password # === password=

end; end