#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/port.rb'
# =========================================================================== #
module FtpParadise

class Connection

  require 'ftp_paradise/toplevel_methods/port.rb'
  require 'ftp_paradise/connection/ftp_object.rb'

  # ========================================================================= #
  # === set_port
  #
  # Use this method to set the port. The port will be stored on the
  # toplevel-"namespace".
  # ========================================================================= #
  def set_port(
      i = DEFAULT_PORT
    )
    FtpParadise.set_port(i)
  end

  # ========================================================================= #
  # === port?
  # ========================================================================= #
  def port?
    FtpParadise.port?.to_s
  end; alias port port? # === port

end; end