#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/use_default_dataset.rb'
# =========================================================================== #
module FtpParadise

class Connection # === FtpParadise::Connection

  require 'ftp_paradise/toplevel_methods/determine_user_dataset_from_this_hash.rb'

  require 'ftp_paradise/connection/do_login.rb'

  # ========================================================================= #
  # === use_default_dataset
  #
  # This method will just take the default dataset for my FTP connections, 
  # hence the "File.exist?" check.
  #
  # Additionally we will initialize the default net-ftp object.
  # ========================================================================= #
  def use_default_dataset(
      i = 'shevy' # ← This is the default.
    )
    if File.exist? FILE_ROEBE_FTP
      dataset = YAML.load_file(FILE_ROEBE_FTP)
      # ===================================================================== #
      # Default to what the user provided to the method.
      # ===================================================================== #
      use_this_dataset = dataset[i]
      # ===================================================================== #
      # Set remote-url, username and password through the following method:
      # ===================================================================== #
      FtpParadise.determine_user_dataset_from_this_hash(use_this_dataset)
      do_login
    end
  end

end; end