#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/username.rb'
# =========================================================================== #
module FtpParadise
         
class Connection

  require 'ftp_paradise/toplevel_methods/login_name.rb'

  # ========================================================================= #
  # === set_username
  #
  # Set the username that you wish to use here. If the input is nil, a
  # default name will be used instead.
  # ========================================================================= #
  def set_username(
      i = DEFAULT_USER_NAME
    )
    i = i.first if i.is_a? Array
    i = DEFAULT_USER_NAME if i.nil?
    # ======================================================================= #
    # The username will be stored on the toplevel-module.
    # ======================================================================= #
    FtpParadise.set_username(i)
  end; alias set_user_name  set_username # === set_user_name
       alias login_name=    set_username # === login_name?
       alias set_name       set_username # === set_name
       alias set_user       set_username # === set_user
       alias set_login_name set_username # === set_login_name
       alias user_name=     set_username # === user_name?

  # ========================================================================= #
  # === username?
  # ========================================================================= #
  def username?
    FtpParadise.username?.to_s
  end; alias user_name? username? # === user_name?

end; end