#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# All constants for class Interactive shall be stored in this file here.
# =========================================================================== #
# require 'ftp_paradise/interactive_ftp/constants.rb'
# =========================================================================== #
module FtpParadise

class InteractiveFtp # === FtpParadise::InteractiveFtp

  require 'ftp_paradise/toplevel_methods/rds.rb'

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === TITLE  
  # ========================================================================= #
  TITLE = 'Interactive FTP'

  # ========================================================================= #
  # === SHOW_REMOTE_FILES_UPON_SUCCESSFUL_LOGIN
  #
  # If this constant is true then we will show the remote file
  # listing upon a successful (first) login action.
  # ========================================================================= #
  SHOW_REMOTE_FILES_UPON_SUCCESSFUL_LOGIN = false

  # ========================================================================= #
  # === SHALL_WE_DEBUG
  # ========================================================================= #
  SHALL_WE_DEBUG = true

  # ========================================================================= #
  # === PROMPT_TO_USE
  #
  # Which Prompt to use by default for the Interactive FTP component.
  # ========================================================================= #
  PROMPT_TO_USE = '> '

  # ========================================================================= #
  # === ARRAY_FORBIDDEN_HISTORY_COMMANDS
  # ========================================================================= #
  ARRAY_FORBIDDEN_HISTORY_COMMANDS = %w(
    last
  ) # Dont append last to the history.

  # ========================================================================= #
  # === OPEN_IN_DEFAULT_EDITOR
  # ========================================================================= #
  OPEN_IN_DEFAULT_EDITOR = true

  # ========================================================================= #
  # === USE_THIS_EDITOR
  # ========================================================================= #
  USE_THIS_EDITOR = ENV['EDITOR'].to_s

  # ========================================================================= #
  # === DEFAULT_LOCAL_DIRECTORY
  # ========================================================================= #
  DEFAULT_LOCAL_DIRECTORY = ::FtpParadise.rds("#{Dir.pwd}/") #  More flexible that way, I suppose.

  # ========================================================================= #
  # === NAME_OF_THIS_FILE
  # ========================================================================= #
  NAME_OF_THIS_FILE = "#{PROJECT_BASE_DIRECTORY}interactive_ftp.rb"

  # ========================================================================= #
  # === ARRAY_PROJECT_FILES
  #
  # The following files have to be opened when you wish to open the
  # project files.
  # ========================================================================= #
  ARRAY_PROJECT_FILES = %w(
    library.rb
    interactive.rb
    addon/constants/roebe_ftp_constants.rb
    doc/TODO
  ).map {|entry| PROJECT_BASE_DIRECTORY+entry}

  # ========================================================================= #
  # === DEFAULT_REMOTE_DIRECTORY
  #
  # The default remote directory.
  # ========================================================================= #
  DEFAULT_REMOTE_DIRECTORY = %q(
    htdocs
  ).delete("\n").strip # kill newlines and empty spaces.

  # ========================================================================= #
  # === DEFAULT_REMOTE_FILE
  #
  # The default remote file comes next.
  # ========================================================================= #
  DEFAULT_REMOTE_FILE = %q(
    README.md
  ).gsub(/\n/,'').strip

end; end