#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/interactive_ftp/help.rb'
# =========================================================================== #
module FtpParadise

class InteractiveFtp

  # ========================================================================= #
  # === show_help                                                  (help tag)
  # ========================================================================= #
  def show_help
    cliner
    e "Try one of these #{sfancy('help options')} for interactive-ftp:#{N}#{N}"
    e parens(:assign)+'     '+pound_token+'Assign to the @file variable'
    e parens(:help)+'       '+pound_token+'To see the help section'
    e parens(:history)+'    '+pound_token+'To show the history'
    e parens(:cd)+'         '+pound_token+'Change local directory'
    e parens(:config)+'     '+pound_token+'Show the configuration'
    e parens(:dated)+'      '+pound_token+'Display the remote directory '\
      'content in a time-sorted manner'
    e parens(:edit)+'       '+pound_token+'Edit this file here in your main editor'
    e parens(:everything)+' '+pound_token+'Show everything (username, password, host and so on)'
    e parens(:login)+'      '+pound_token+'Connect to the remote host (alias '\
      'to connect_to exists)'
    e parens(:list)+'       '+pound_token+'List remote files'
    e parens(:last)+'       '+pound_token+'Repeat the last action (or show the last action)'
    e parens(:rcd)+'        '+pound_token+'Change remote directory'
    e parens(:remote?)+'    '+pound_token+'List where we are connected'
    e parens(:stat)+'       '+pound_token+'Show information about a file'
    e parens(:status?)+'    '+pound_token+'See the current status of the connection'
    e parens(:file?)+'      '+pound_token+'Shows whether we have a '+
      'default file set (which can be used to upload)'
    e parens(:info)+'       '+pound_token+'Shows some information (debug)'
    e parens(:set_port)+'   '+pound_token+'Set the port number'
    e parens(:q)+'          '+pound_token+'To quit/exit'
    e parens(:quit)+'       '+pound_token+'Quit the session'
    if on_roebe? # Display it only for me.
      e parens(:shevy)+'      '+pound_token+'Connect to shevy'
    end
    e parens(:lpwd)+'       '+pound_token+'Report the current remote directory'
    e parens(:pwd)+'        '+pound_token+'Report the local directory'+N
    e parens(:welcome)+'    '+pound_token+'Show the welcome-message of the remote FTP server'+N
    e
    cliner
  end; alias show_help_options show_help # === show_help_options

end; end