#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/interactive_ftp/main_loop.rb'
# =========================================================================== #
module FtpParadise

class InteractiveFtp # === FtpParadise::InteractiveFtp

  # ========================================================================= #
  # === enter_main_loop
  # ========================================================================= #
  def enter_main_loop
    # ======================================================================= #
    # Enter the remote directory htdocs if we are on ftpupload.net
    # or on a similar host..
    # ======================================================================= #
    if remote_url?.include?('ftpupload.net')
      remote_cd 'htdocs', :be_verbose
    elsif remote_url?.include?('shevy.bplaced.net')
      remote_cd 'www', :be_verbose
    end
    check_commandline_arguments # <- This will also query the menu() method.
    show_welcome_message
    display_prompt
    loop {
      begin
        # =================================================================== #
        # Obtain the user input:
        # =================================================================== #
        obtain_user_input
        # =================================================================== #
        # Pass the user input into the menu interface:
        # =================================================================== #
        result = menu
        result = result.first if result.is_a? Array
        case result
        when *ARRAY_VALID_OPTIONS_FOR_EXITING_THE_SHELL, :break
          break
        when :exit
          exit
        end
      rescue Interrupt
        e 'In order to quit, please use "'+
          steelblue('q')+'" instead.'
      end
    }
  end; alias enter_loop enter_main_loop # === enter_loop

end; end