#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/interactive_ftp/reset.rb'
# =========================================================================== #
module FtpParadise

class InteractiveFtp # === FtpParadise::InteractiveFtp

  require 'ftp_paradise/interactive_ftp/misc.rb'
  require 'ftp_paradise/interactive_ftp/readline.rb'

  # ========================================================================= #
  # === reset                                                     (reset tag)
  #
  # Initialize and/or reset the variables used in this class.
  # ========================================================================= #
  def reset
    super()
    # ======================================================================= #
    # The following check is for my home system.
    # ======================================================================= #
    if File.exist? FILE_ROEBE_FTP
      dataset = YAML.load_file(FILE_ROEBE_FTP)
      determine_user_dataset_from_this_hash(dataset, :default)
    end
    # ======================================================================= #
    # === @user_input
    #
    # Must "initialize" @user_input.
    # ======================================================================= #
    @user_input = nil
    # ======================================================================= #
    # Which files we did download so far.
    # ======================================================================= #
    @array_downloaded_files = []
    # ======================================================================= #
    # === @array_all_input
    # ======================================================================= #
    @array_all_input = [] # Stores which was the input.
    # ======================================================================= #
    # === @history
    # ======================================================================= #
    @history = []
    # ======================================================================= #
    # === @array_history_remote_directories
    #
    # This array keeps a listing of all remote directories we rcd-ed into.
    # ======================================================================= #
    @array_history_remote_directories = []
    # ======================================================================= #
    # === @debug
    #
    # Whether we will debug or not, by default.
    # ======================================================================= #
    @debug = SHALL_WE_DEBUG
    # ======================================================================= #
    # === @are_we_connected
    # ======================================================================= #
    @are_we_connected = false
    # ======================================================================= #
    # === @pad
    # ======================================================================= #
    @pad = '  ' # The default padding to use.
    # ======================================================================= #
    # === @use_readline
    #
    # Initially we will try to make use of the Readline module.
    # ======================================================================= #
    @use_readline = true
    # ======================================================================= #
    # === @use_this_editor
    #
    # Specify which editor we may use - this can be overruled in the
    # interactive menu by the user of the FtpParadise project.
    # ======================================================================= #
    @use_this_editor = USE_THIS_EDITOR
    # ======================================================================= #
    # Try to make use of the Readline module as well.
    # ======================================================================= #
    consider_using_the_readline_module
    reset_instance_variables_that_hold_all_arguments
    set_file
    set_local_directory
    load_config
    initialize_ftp_object # Initialize the @ftp variable.
  end

end; end