#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen-string-literal: true
# =========================================================================== #
# require 'ftp_paradise/project/project.rb'
# =========================================================================== #
module FtpParadise

  _ = File.absolute_path("#{__dir__}/..")+'/'
 
  # ========================================================================= #
  # === PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  begin # We need to make it failsafe.
    PROJECT_BASE_DIRECTORY = (
      File.realpath(_)+'/'
    ).squeeze '/'
  rescue
    puts 'An error happened. We will hardcode the constant towards -> '+_
    PROJECT_BASE_DIRECTORY = # Else default to my directory.
      '/home/x/DATA/PROGRAMMING_LANGUAGES/RUBY/src/'\
      'ftp_paradise/lib/ftp_paradise/'
  end

  # ========================================================================= #
  # === FtpParadise.project_base_dir?
  # ========================================================================= #
  def self.project_base_dir?
    PROJECT_BASE_DIRECTORY
  end

  # ========================================================================= #
  # === PROJECT_YAML_DIRECTORY
  #
  # This constant specifies where the project-specific yaml/ directory
  # will be kept at for the ftp_paradise project. Ideally you should
  # use the method rather than this constant, though.
  # ========================================================================= #
  PROJECT_YAML_DIRECTORY = "#{PROJECT_BASE_DIRECTORY}yaml/"
          YAML_DIRECTORY = PROJECT_YAML_DIRECTORY

  # ========================================================================= #
  # === FtpParadise.project_yaml_dir?
  #
  # This method here must be defined before FtpParadise.initialize()
  # is to be invoked.
  # ========================================================================= #
  def self.project_yaml_dir?
    "#{PROJECT_BASE_DIRECTORY}yaml/"
  end; self.instance_eval { alias yaml_directory? project_yaml_dir? } # === FtpParadise.yaml_directory?

  # ========================================================================= #
  # === yaml_directory?
  # ========================================================================= #
  def yaml_directory?
    FtpParadise.yaml_directory?
  end

end

if __FILE__ == $PROGRAM_NAME
  pp FtpParadise.project_base_dir?
  pp FtpParadise.project_yaml_dir?
end