#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/can_connect_to_remote_site.rb'
# =========================================================================== #
module FtpParadise

  # ========================================================================= #
  # === FtpParadise.can_connect_to_remote_site?
  #
  # This method can be used to query whether we can connect to a remote
  # website via the FtpParadise project.
  #
  # The method will return a boolean: either true or false.
  # ========================================================================= #
  def self.can_connect_to_remote_site?
    require 'ftp_paradise/connection/connection.rb'
    ftp = FtpParadise::Connection.new(:dont_run_yet) { :use_default_dataset }
    ftp.be_quiet
    return ftp.is_connected?
  end

end

if __FILE__ == $PROGRAM_NAME
  p FtpParadise.can_connect_to_remote_site?
end