#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/clear_user_dataset.rb'
# =========================================================================== #
module FtpParadise

  require 'ftp_paradise/toplevel_methods/login_name.rb'
  require 'ftp_paradise/toplevel_methods/password.rb'
  require 'ftp_paradise/toplevel_methods/remote_url.rb'

  # ========================================================================= #
  # === FtpParadise.clear_user_dataset
  #
  # This method will reset the user-dataset to nil again, that is,
  # user name, password and remote url.
  #
  # This method had to be added so that we can easily clean-up on
  # a disconnect-action.
  # ========================================================================= #
  def self.clear_user_dataset
    FtpParadise.set_remote_url(nil)
    FtpParadise.set_user_name(nil)
    FtpParadise.set_password(nil)
  end

end