#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/connect.rb'
# =========================================================================== #
module FtpParadise

  # ========================================================================= #
  # === FtpParadise.connect
  #
  # To use this convenient connection-method, do this:
  #
  #   _ = FtpParadise.connect to: :shevy
  #
  # ========================================================================= #
  def self.connect(
      where_to = {}
    )
    if where_to.is_a? Hash
      require 'ftp_paradise/connection/connection.rb'
      FtpParadise::Connection.new(where_to) # This ought to be a Hash anyway.
    end
  end

  # ========================================================================= #
  # === FtpParadise.new
  #
  # Module-method to create a new Connection object.
  # ========================================================================= #
  def self.new(
      remote_host = :default,
      run_already = FtpParadise::Connection::RUN_ALREADY,
      &block
    )
    case remote_host
    when :dont_run_yet
      remote_host = :default
      run_already = false
    end
    if remote_host.is_a? Symbol
      run_already = remote_host
    end
    require 'ftp_paradise/connection/connection.rb'
    FtpParadise::Connection.new(
      remote_host, run_already, &block
    )
  end; self.instance_eval { alias open new } # === FtpParadosie.open

end