#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/data.rb'
# =========================================================================== #
module FtpParadise

  require 'ftp_paradise/toplevel_methods/login_name.rb'
  require 'ftp_paradise/toplevel_methods/password.rb'
  require 'ftp_paradise/toplevel_methods/remote_url.rb'

  # ========================================================================= #
  # === FtpParadise.data?
  #
  # This method will return the name of the user; the password; and the
  # remote URL. It is mostly just a convenience method.
  # ========================================================================= #
  def self.data?
    {
      user_name:  FtpParadise.username?,
      password:   FtpParadise.password?,
      remote_url: FtpParadise.remote_url?
    }
  end; self.instance_eval { alias dataset? data? } # === FtpParadise.dataset?

end

if __FILE__ == $PROGRAM_NAME
  pp FtpParadise.data?
end