#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/determine_user_dataset_from_this_hash.rb'
# =========================================================================== #
module FtpParadise

  require 'ftp_paradise/toplevel_methods/login_name.rb'
  require 'ftp_paradise/toplevel_methods/remote_url.rb'
  require 'ftp_paradise/toplevel_methods/password.rb'

  # ========================================================================= #
  # === FtpParadise.determine_user_dataset_from_this_hash
  #
  # This method can set relevant entries from an input Hash.
  #
  # The IDs should be 'url', 'user_name' and 'password'.
  # ========================================================================= #
  def self.determine_user_dataset_from_this_hash(i)
    if i.is_a? Hash
      if i.has_key? 'url'
        _ = i.fetch('url')
        FtpParadise.set_remote_url(_)
      end
      if i.has_key? 'user_name'
        _ = i.fetch('user_name')
        FtpParadise.set_user_name(_)
      end
      if i.has_key? 'password'
        _ = i.fetch('password')
        FtpParadise.set_password(_)
      end
    end
  end

end