#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/directory_related_actions.rb'
# =========================================================================== #
module FtpParadise

  # ========================================================================= #
  # === FtpParadise.is_directory?
  #
  # This will return a boolean - true if the remote target is a directory
  # and false otherwise.
  #
  # By default this method will connect to the :shevy host.
  # ========================================================================= #
  def self.is_directory?(
      i,
      connect_to_this_host = :shevy
    )
    require 'ftp_paradise/connection/connection.rb'
    FtpParadise::Connection.new(
      i,
      connect_to_this_host: connect_to_this_host
    ).is_a_directory?(i)
  end; self.instance_eval { alias directory? is_directory? } # === FtpParadise.directory?

end

if __FILE__ == $PROGRAM_NAME
  p FtpParadise.is_directory?('AUSARBEITUNGEN')
  p FtpParadise.is_directory?('AUSARBEITUNGE')
end