#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'file_related_actions.rb'
# =========================================================================== #
module FtpParadise

  require 'fileutils'

  # ========================================================================= #
  # === FtpParadise.get_files
  #
  # Use this method whenever you want to get all (local) files.
  #
  # By default, this method will return all files from the current directory.
  # ========================================================================= #
  def self.get_files(
      from = '*'
    )
    entries = Dir[from]
    entries.select! {|entry| File.file?(entry) }
    entries
  end

  # ========================================================================= #
  # === FtpParadise.create_file
  #
  # Create a local file, via .touch().
  # ========================================================================= #
  def self.create_file(i)
    FileUtils.touch(i)
  end; self.instance_eval { alias touch create_file } # === FtpParadise.touch

  # ========================================================================= #
  # === FtpParadise.delete                                         (del tag)
  #
  # Consistently use this method if you wish to delete a (local) file.
  # ========================================================================= #
  def self.delete(i) # ← Added this method as of April 2014.
    i = i.to_s # We don't want nil-errors here.
    if File.exist? i
      File.delete(i)
    else
      e "No file at #{sfile(i)} appears to exist."
    end
  end; self.instance_eval { alias remove delete } # === FtpParadise.remove

end