#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/login_name.rb'
# =========================================================================== #
module FtpParadise

  require 'yaml'
  require 'ftp_paradise/constants/roebe.rb'

  # ========================================================================= #
  # === @login_name
  # ========================================================================= #
  @login_name = nil

  # ========================================================================= #
  # === FtpParadise.login_name?
  # ========================================================================= #
  def self.login_name?
    @login_name
  end; self.instance_eval { alias username? login_name? } # === FtpParadise.username?

  # ========================================================================= #
  # === FtpParadise.set_login_name
  # ========================================================================= #
  def self.set_login_name(
      i = :try_to_infer_automatically
    )
    case i
    # ======================================================================= #
    # === :try_to_infer_automatically
    # ======================================================================= #
    when :try_to_infer_automatically,
         :infer
      if File.exist? FILE_ROEBE_FTP
        i = YAML.load_file(FILE_ROEBE_FTP)['podserver']['user_name']
      end
    end
    @login_name = i
  end; self.instance_eval { alias set_user_name set_login_name } # === FtpParadise.set_user_name
       self.instance_eval { alias set_username  set_login_name } # === FtpParadise.set_username

end

if __FILE__ == $PROGRAM_NAME
  FtpParadise.set_login_name
  puts FtpParadise.login_name?
end