#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/password.rb'
# =========================================================================== #
module FtpParadise

  require 'yaml'
  require 'ftp_paradise/constants/roebe.rb'

  # ========================================================================= #
  # === @password
  #
  # This variable will keep track of the password to the remote FTP
  # host. This allows you to use FtpParadise without instantiating
  # the main class of this project.
  # ========================================================================= #
  @password = nil

  # ========================================================================= #
  # === FtpParadise.password?
  # ========================================================================= #
  def self.password?
    @password
  end

  # ========================================================================= #
  # === FtpParadise.set_password
  # ========================================================================= #
  def self.set_password(
      i = :try_to_infer_automatically
    )
    case i
    # === :try_to_infer_automatically
    when :try_to_infer_automatically,
         :infer
      if File.exist? FILE_ROEBE_FTP
        i = YAML.load_file(FILE_ROEBE_FTP)['bytehost']['password']
      end
    end
    @password = i
  end

end

if __FILE__ == $PROGRAM_NAME
  FtpParadise.set_password
  puts FtpParadise.password?
end