#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/port.rb' 
# =========================================================================== #
module FtpParadise

  # ========================================================================= #
  # === @port
  # ========================================================================= #
  @port = 21

  # ========================================================================= #
  # === FtpParadise.set_port
  # ========================================================================= #
  def self.set_port(
      i = :try_to_infer_automatically
    )
    case i
    when :try_to_infer_automatically
      if File.exist? FILE_ROEBE_FTP
        i = YAML.load_file(FILE_ROEBE_FTP)['podcast']['port']
      end
    end
    @port = i
  end

  # ========================================================================= #
  # === FtpParadise.port?
  # ========================================================================= #
  def self.port?
    @port
  end

end

if __FILE__ == $PROGRAM_NAME
  FtpParadise.set_port
  puts FtpParadise.port?
end