#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/remote_url.rb'
# =========================================================================== #
module FtpParadise

  # ========================================================================= #
  # === @remote_url
  #
  # This variable will keep track of the remote url.
  # ========================================================================= #
  @remote_url = nil

  # ========================================================================= #
  # === FtpParadise.remote_url?
  #
  # Return the @remote_url variable.
  # ========================================================================= #
  def self.remote_url?
    @remote_url
  end

  require 'yaml'
  require 'ftp_paradise/toplevel_methods/is_on_roebe.rb'
  require 'ftp_paradise/constants/roebe.rb'
  # ========================================================================= #
  # === FtpParadise.set_remote_url
  #
  # Setter-method for @remote_url. Will be nil initially.
  # ========================================================================= #
  def self.set_remote_url(
      i = :try_to_infer
    )
    case i
    when nil, :infer, :try_to_infer
      if is_on_roebe?
        if File.exist? FILE_ROEBE_FTP
          i = YAML.load_file(FILE_ROEBE_FTP)['bytehost']['url']
        end
      end
    end
    @remote_url = i
  end; self.instance_eval { alias set_remote_host set_remote_url } # === FtpParadise.set_remote_host 

  # ========================================================================= #
  # Initialize it to the default value.
  # ========================================================================= #
  set_remote_url

end

if __FILE__ == $PROGRAM_NAME
  FtpParadise.set_remote_url
  puts FtpParadise.remote_url?
end # ftp_remote_url