# -*- encoding: utf-8 -*-
# stub: ftp_paradise 1.4.5 ruby lib

Gem::Specification.new do |s|
  s.name = "ftp_paradise".freeze
  s.version = "1.4.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.2.7".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2021-02-10"
  s.description = "\nThis project aims to provide some convenience bindings and addon-classes\nfor the Ruby-FTP base module.\n\nThe basic idea for this project was to make working with FTP-related\ncode simpler, and more convenient. This is why the project focuses\nboth on commandline use, interactive commandline use, as well as\nGUI components (via ruby-gtk3 primarily).\n\nPlease be aware that since as of the year 2020, this project is in a\nlow-effort maintenance mode only, though.\n\nBug fixes may still happen, as well as improvements made to the \ndocumentation - but by and large, I am no longer modifying this \nproject that much anymore. My peak FTP days in regards to this\nproject were mostly from 2010 to 2014. Since then I have found\nfewer use cases for this project.\n\nFor more information about the ftp_paradise project, please have a look\nat the online documentation at https://www.rubydoc.info/gems/ftp_paradise/\nor within the doc/ subdirectory of this gem.\n\n".freeze
  s.email = "shevegen@gmail.com".freeze
  s.executables = ["ftp_upload_binary".freeze, "remote_remove".freeze, "ftp_gtk3".freeze, "ftp_get".freeze, "create_remote_directory".freeze, "iftp".freeze, "ftp_upload".freeze]
  s.files = ["bin/create_remote_directory".freeze, "bin/ftp_get".freeze, "bin/ftp_gtk3".freeze, "bin/ftp_upload".freeze, "bin/ftp_upload_binary".freeze, "bin/iftp".freeze, "bin/remote_remove".freeze]
  s.homepage = "http://rubygems.org/gems/ftp_paradise".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "\n  The interactive file, which can be started by typing \"iftp\",\n  requires a library called configuration.\n\n  This is NOT the one available at rubygems.org - but instead can\n  be downloaded here:\n\n      wget http://shevegen.bplaced.net/configuration-1.0.21.gem\n\n  Please install only the above configuration-gem variant, not the\n  other gem called \"configuration\". (You can extract the gem and\n  look at it before you install it of course. Its sole purpose\n  is to read in a bunch of .yml yaml files to provide a proper\n  base configuration for a project.)\n\n  If you wish to start the interactive FTP, the file can be\n  found at:\n\n      bin/iftp\n\n  And should on most Linux systems end up on:\n\n      /usr/bin/iftp\n\n  if the --prefix is at /usr (obviously, if you install into\n  your home directory, then it will be at another location;\n  rubygems should take care of this).\n\n  So just typing \"iftp\" should suffice to start the interactive FTP\n  component, but keep in mind that you need to download the\n  configuration gem listed above first.\n\n  You can disable the colour-section of the interactive FTP\n  by issuing:\n\n      iftp --disable-colours\n\n  You can also batch-upload some scripts through the command\n  called:\n\n      ftp_upload\n\n  ftp_upload --help should give you some information on how\n  to use it.\n\n  Consider installing the \"roebe\" gem for making \"Configuration\"\n  available.\n\n  Thank you and have fun!\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.2".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "This project aims to provide some convenience bindings and addon-classes for the Ruby-FTP base module.  The basic idea for this project was to make working with FTP-related code simpler, and more convenient. This is why the project focuses both on commandline use, interactive commandline use, as well as GUI components (via ruby-gtk3 primarily).  Please be aware that since as of the year 2020, this project is in a low-effort maintenance mode only, though.  Bug fixes may still happen, as well as improvements made to the  documentation - but by and large, I am no longer modifying this  project that much anymore. My peak FTP days in regards to this project were mostly from 2010 to 2014. Since then I have found fewer use cases for this project.  For more information about the ftp_paradise project, please have a look at the online documentation at https://www.rubydoc.info/gems/ftp_paradise/ or within the doc/ subdirectory of this gem.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<cliner>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<convert_global_env>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rcfiles>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<verbose_truth>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<gtk_paradise>.freeze, [">= 0"])
  else
    s.add_dependency(%q<cliner>.freeze, [">= 0"])
    s.add_dependency(%q<colours>.freeze, [">= 0"])
    s.add_dependency(%q<convert_global_env>.freeze, [">= 0"])
    s.add_dependency(%q<rcfiles>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
    s.add_dependency(%q<verbose_truth>.freeze, [">= 0"])
    s.add_dependency(%q<gtk_paradise>.freeze, [">= 0"])
  end
end
